Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024609
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsminorhave not tried2013-08-28 12:272013-09-18 18:53
ReporterjecharriView Statuspublic 
Assigned Toumartirena 
PriorityhighResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchpiFixed in SCM revision39c2826be99e
ProjectionnoneETAnoneTarget VersionRMP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP25SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024609: Apply next discount does not work with discretionary discounts

DescriptionApply next discount does not work with discretionary discounts

Steps To ReproduceCreate 3 discretionary discounts, all with checkbox "Apply next discount/promotion = 'N'"
-5%
-10%
-25%

-Login in Web POS
-Add 2 products
-Apply 5% discount
-After that,select one line and add new discounts to it.

Check that you are able to apply 2 discounts and should not be able because you have the checkbox "Apply next discount/promotion" unchecked
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061198)
umartirena (developer)
2013-09-17 16:45

The final approach is that "Apply next discount/promotion" checkbox is only for automatic discounts, so a display logic needs to be added in order to hide the checkbox for discretionary discounts.
(0061269)
hgbot (developer)
2013-09-18 09:24

Repository: erp/devel/pi
Changeset: 010f311533a3e21e9ed812e7e43d85c6c5d073e3
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Tue Sep 17 11:31:28 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/010f311533a3e21e9ed812e7e43d85c6c5d073e3 [^]

Fixes Issue 24609: Apply next discount does not work with discretionary discounts

---
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/M_OFFER_TYPE.xml
---
(0061270)
hgbot (developer)
2013-09-18 09:24

Repository: erp/devel/pi
Changeset: 39c2826be99e11b57b4e06118e19e92d02ce1cb5
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Tue Sep 17 15:52:35 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/39c2826be99e11b57b4e06118e19e92d02ce1cb5 [^]

Fixes Issue 24609: Apply next discount does not work with discretionary discounts

---
M src-db/database/sourcedata/M_OFFER_TYPE.xml
---
(0061281)
hudsonbot (developer)
2013-09-18 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/03baede6c83a [^]

Maturity status: Test
(0061282)
hudsonbot (developer)
2013-09-18 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/03baede6c83a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-28 12:27 jecharri New Issue
2013-08-28 12:27 jecharri Assigned To => marvintm
2013-08-28 12:27 jecharri Triggers an Emergency Pack => No
2013-08-28 12:28 jecharri Description Updated View Revisions
2013-09-17 11:46 umartirena Assigned To marvintm => umartirena
2013-09-17 11:46 umartirena Status new => scheduled
2013-09-17 11:46 umartirena fix_in_branch => pi
2013-09-17 16:45 umartirena Note Added: 0061198
2013-09-18 09:24 hgbot Checkin
2013-09-18 09:24 hgbot Note Added: 0061269
2013-09-18 09:24 hgbot Status scheduled => resolved
2013-09-18 09:24 hgbot Resolution open => fixed
2013-09-18 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/010f311533a3e21e9ed812e7e43d85c6c5d073e3 [^]
2013-09-18 09:24 hgbot Checkin
2013-09-18 09:24 hgbot Note Added: 0061270
2013-09-18 09:24 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/010f311533a3e21e9ed812e7e43d85c6c5d073e3 [^] => http://code.openbravo.com/erp/devel/pi/rev/39c2826be99e11b57b4e06118e19e92d02ce1cb5 [^]
2013-09-18 13:04 marvintm Review Assigned To => marvintm
2013-09-18 13:04 marvintm Status resolved => closed
2013-09-18 13:04 marvintm Fixed in Version => RMP27
2013-09-18 18:53 hudsonbot Checkin
2013-09-18 18:53 hudsonbot Note Added: 0061281
2013-09-18 18:53 hudsonbot Checkin
2013-09-18 18:53 hudsonbot Note Added: 0061282


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker